;;; my.el -*- lexical-binding: t -*-

(require 'ert)

(eval-and-compile
  (defun my-cycle ()
    (declare (pure t))
    (let ((list (list t)))
      (nconc list list)))

  (defun my-identity (arg)
    (declare (compiler-macro
              (lambda (_form)
                (macroexp-warn-and-return "Oh dear" arg))))
    arg))

(ert-deftest my-test ()
  (should (my-identity (my-cycle))))

;;; my.el ends here
